Bug 656825 - Crash trying to run qemu-system-ppc64
Crash trying to run qemu-system-ppc64
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
14
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-24 04:06 EST by Alexander Kurtakov
Modified: 2013-01-09 18:22 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 07:27:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2010-11-24 04:06:30 EST
Description of problem:
Simply try to run qemu-system-ppc64 on console. It coredumps, note that qemu-system-ppc works fine in this case.

Version-Release number of selected component (if applicable):
qemu-0.13.0-1.fc14

How reproducible:
Always.

Steps to Reproduce:
1. qemu-system-ppc64 on console
2. observe the crash
3.
  
Actual results:
qemu: fatal: Trying to execute code outside RAM or ROM at 0xfffffffffff0845c

NIP fffffffffff0845c   LR 00000000fff00478 CTR fffffffffff0845c XER 20000000
MSR 8000000000000000 HID0 0000000060000000  HF 8000000000000000 idx 1
TB 00000000 016fcc04 DECR 00000000
GPR00 0000000020000000 0000000007eeffa0 0000000000000000 fffffffffff0845c
GPR04 fffffffffff00000 0000000000100001 000000007c000124 000000003c60fff0
GPR08 0000000038630000 0000000000100000 0000000000000000 00000000f0000000
GPR12 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR16 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR20 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR24 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR28 0000000000000000 0000000000000000 0000000007ef0000 0000000007e00000
CR 80000000  [ L  -  -  -  -  -  -  -  ]             RES ffffffffffffffff
FPR00 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR04 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR08 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR12 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR16 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR20 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR24 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR28 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPSCR 00000000
SRR0 00000000fff085ac SRR1 0000000040000030 SDR1 0000000007e00000
Aborted (core dumped)


Expected results:
Started emulator.
Comment 1 Andre Robatino 2010-11-24 15:41:35 EST
Bug 545328 is related - not sure if this is a duplicate though.
Comment 2 Alexander Kurtakov 2012-03-07 07:27:59 EST
Fedora 14 is not supported and I'm no longer interested in this bug.

Note You need to log in before you can comment on or make changes to this bug.